Subject: [DNSOP] [Technical Errata Reported] RFC7719 (4611)

From: RFC Errata System <[email-masked]>
Date: Tue, 2 Feb 2016 07:21:53 -0800 (PST)

The following errata report has been submitted for RFC7719,
"DNS Terminology".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7719&eid=4611

--------------------------------------
Type: Technical
Reported by: Nikolai Malykh <[email-masked]>

Section: 2

Original Text
-------------
CNAME:  "It is traditional to refer to the owner of a CNAME record as
   'a CNAME'.  This is unfortunate, as 'CNAME' is an abbreviation of
   'canonical name', and the owner of a CNAME record is most certainly
   not a canonical name."  (Quoted from [RFC2181], Section 10.1.1)

Corrected Text
--------------
CNAME:  "It is traditional to refer to the label of a CNAME record as
   'a CNAME'.  This is unfortunate, as 'CNAME' is an abbreviation of
   'canonical name', and the label of a CNAME record is an alias, not
   a canonical name."  (Quoted from [RFC2181], Section 10.1.1)

Notes
-----
Incorrect quote from RFC 2181.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7719 (draft-ietf-dnsop-dns-terminology-05)
--------------------------------------
Title               : DNS Terminology
Publication Date    : December 2015
Author(s)           : P. Hoffman, A. Sullivan, K. Fujiwara
Category            : INFORMATIONAL
Source              : Domain Name System Operations
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: Ray Bellis <[email-masked]>
Date: Tue, 2 Feb 2016 15:37:10 +0000

> Reported by: Nikolai Malykh <[email-masked]>

Arguably "owner" is more accurate - the owner name of a CNAME can
comprise multiple labels (and usually will once fully qualified.

That said, if the intent was to "correct" the quote from RFC 2181 then
RFC 7719 probably should have said so.

Ray

---

From: Andrew Sullivan <[email-masked]>
Date: Tue, 2 Feb 2016 11:25:56 -0500

Oh, heck.  This _is_ a misquote but I recall we decided that it should
be quoted with [owner] instead of "label", since the RR doesn't have a
label but an owner name.  I think it's actually the square brackets
that are missing, to note the correction.

A

-- 
Andrew Sullivan
Dyn
[email-masked]